corz.org text viewer..
[currently viewing: /public/linux/usr/local/bin/corz-chmodsite.sh - raw]
#!/bin/bash
# last updated Friday May 17, 2013
#
# set permissions on all site comments files..
#

# get host name..
if [ -z $1 ]; then
    echo
    echo "Please supply a domain name on the command-line. e.g.."
    echo
    echo "$0 foobar.net"
    echo
    echo "chmodsite will then use settings file: ~/.sftp/foobar.net"
    echo
    exit 1
fi

# grab settings..
. ~/.sftp/$1


echo "site chmod script.."
#/usr/local/bin/ini-parse-keys $inifile

echo "Performing sftp operations for $user@$host.."
sftp -b "/usr/local/bin/$host/chmodsite" $user@$host
rc=$?
if [ $rc != 0 ] ; then
    echo "**WARNING** chmodsite sftp for $host returned an error: $rc"
     echo "**WARNING** chmodsite sftp for $host returned an error: $rc"|mailx -s "Error in up chmodsite sftp!" postmaster
    exit $rc
fi
now=`date "+%Y.%m.%d-%H.%M"`

command -v fortune >/dev/null 2>&1 || { echo "Oooh! That Feels Good!"; exit 0; }
fortune

echo "chmodsite for $host complete at $now"
exit 0

Welcome to corz.org!

I'm always messing around with the back-end.. See a bug? Wait a minute and try again. Still see a bug? Mail Me!